-- **************************************************
-- Provide Moho with the name of this script object
-- **************************************************

ScriptName = "DS_cyclelayers"

-- **************************************************
-- General information about this script
-- **************************************************

DS_cyclelayers = {}

function DS_cyclelayers:Name()
	return "Cycle layers"
end

function DS_cyclelayers:Version()
	return "0.1"
end

function DS_cyclelayers:Description()
	return "Cycle layers"
end

function DS_cyclelayers:Creator()
	return "Stolen from Rudiger"
end

function DS_cyclelayers:UILabel()
	return("Cycle layers")
end

-- **************************************************
-- The guts of this script
-- **************************************************

function DS_cyclelayers:display_layer_flags(moho, layer, top)
    -- Display custom RT_Selected and RT_Visible flags in all layers in document

    local i
    local num_layers

    if not top then 
         print(layer:Name())
    end

    if layer.CountLayers ~= nil then -- If the number of layers is different to none
        num_layers = layer:CountLayers()
    elseif layer:IsGroupType() then
        num_layers = moho:LayerAsGroup(layer):CountLayers()
    else
        num_layers = 0
    end

    for i = 0, num_layers-1 do
        self:display_layer_flags(moho, layer:Layer(i), false)
    end
    
end

function DS_cyclelayers:display_layer_flagsoriginal(moho, layer, top)
    -- Display custom RT_Selected and RT_Visible flags in all layers in document

    local i
    local num_layers

    if not top then 
         print(layer:Name())
    end

    if layer.CountLayers ~= nil then -- If the number of layers is different to none
        num_layers = layer:CountLayers()
    elseif layer:IsGroupType() then
        num_layers = moho:LayerAsGroup(layer):CountLayers()
    else
        num_layers = 0
    end

    for i = 0, num_layers-1 do
        self:display_layer_flags(moho, layer:Layer(i), false)
    end
    
end

function DS_cyclelayers:Run(moho)

    local layer = moho.layer
    self:display_layer_flags(moho, layer, true, layer)
	print("-----------")
	self:display_layer_flags(moho, moho.document, true, layer)
    
end
