-- **************************************************
-- Provide Moho with the name of this script object
-- **************************************************

ScriptName = "DS_picklayer"

-- **************************************************
-- General information about this script
-- **************************************************

DS_picklayer = {}


function DS_picklayer:Name()
	return "Pick Layer"
end

function DS_picklayer:Version()
	return "0.1"
end

function DS_picklayer:Description()
	return "Pick Layer"
end


function DS_picklayer:Creator()
	return "dauid.com"
end

function DS_picklayer:UILabel()
	return "Pick Layer"
end

-- **************************************************
-- Recurring values
-- **************************************************


-- **************************************************
-- The guts of this script
-- **************************************************

function DS_picklayer:IsEnabled(moho)
		return true
end

function DS_picklayer:OnMouseDown(moho, mouseEvent)


	local layer = mouseEvent.view:PickGlobalLayer(mouseEvent.pt)
	if layer ~= nil then
		if mouseEvent.shiftKey then
			if layer:Parent() then
				layer = layer:Parent()
			end
		end
	
		moho:SetSelLayer(layer) 
		self.name:SetValue(layer:Name())
	end

moho:UpdateUI()
	mouseEvent.view:DrawMe()
end

-- **************************************************
-- Tool options - create and respond to tool's UI
-- **************************************************
function DS_picklayer:DoLayout(moho, layout)
	self.name=LM.GUI.DynamicText("                                  ", 50)
	--self.dtilt:SetValue("Tilt: " .. self.PanTilt.y)
	layout:AddChild(self.name)

end

function DS_picklayer:UpdateWidgets(moho)
	self.name:SetValue(moho.layer:Name())
	
end
