-- **************************************************
-- Provide Moho with the name of this script object
-- **************************************************

ScriptName = "DS_RoundCaps"

-- **************************************************
-- General information about this script
-- **************************************************

DS_RoundCaps = {}
function DS_RoundCaps:Name()
	return "DS Round All Caps"
end

function DS_RoundCaps:Version()
	return "1.0"
end

function DS_RoundCaps:Description()
	return "Round All Caps"
end

function DS_RoundCaps:Creator()
	return "dauid.com"
end

function DS_RoundCaps:UILabel()
	return("DS Round All Caps")
end
-- **************************************************
-- Recurring values
-- **************************************************


-- **************************************************
-- The guts of this script
-- **************************************************


function DS_RoundCaps:Run(moho)
local layer = moho.layer
local mesh = moho:Mesh()
	if (mesh == nil) then
		return
	end

	moho.document:PrepUndo(moho.layer)
	moho.document:SetDirty()
	local numlayers = moho.document:CountLayers() --Do top layers
		for i = 0, numlayers - 1 do
			for i=0, mesh:CountShapes()-1 do
				local theShape=mesh:Shape(i)
				theShape.fMyStyle.fLineCaps = 1
			end
		end
end